class except : public exception
{
	char	_szdesc[300];

public:
	except(const char *sztype,const char *szdesc)
	{
		strcpy(_szdesc,"The following exception occured...\nType :");
		strcat(_szdesc,sztype);
		strcat(_szdesc,"\nDescription :");

		if ( szdesc )
			strcat(_szdesc,szdesc);
		else
			strcat(_szdesc,"General exception");

		strcat(_szdesc,"\n");
	};
	~except()
	{
	}

	const char * what() const { return _szdesc; };
};